#!/usr/bin/env node

/**
 * Module dependencies.
 */

var program = require('commander');
var terminal = require('../terminal-interface/terminal');
const  utils = require('../utils/utils');
const shell = require('shelljs');

program
    .version('0.0.1')
    .option('-C, --chdir <path>', 'change the working directory')
    .option('-c, --config <path>', 'set config path. defaults to ./deploy.conf')
    .option('-T, --no-tests', 'ignore test hook')

// program
//     .command('setup [env]')
//     .description('run setup commands for all envs')
//     .option("-s, --setup_mode [mode]", "Which setup mode to use")
//     .action(function(env, options){
//         var mode = options.setup_mode || "normal";
//         env = env || 'all';
//         console.log('setup for %s env(s) with %s mode', env, mode);
//     });
//
// program
//     .command('exec <cmd>')
//     .alias('ex')
//     .description('execute the given remote cmd')
//     .option("-e, --exec_mode <mode>", "Which exec mode to use")
//     .action(function(cmd, options){
//         console.log('exec "%s" using %s mode', cmd, options.exec_mode);
//     }).on('--help', function() {
//     console.log('  Examples:');
//     console.log();
//     console.log('    $ deploy exec sequential');
//     console.log('    $ deploy exec async');
//     console.log();
// });

program
    .command('*')
    .action(function(env){
        console.log('Please go to your movies directory and run this command :  imdb fetch');

    });

program
    .command('fetch')
    .action(function(env){
        console.log('fetching "%s"', env);
        // utils.getDirectoryNameAndFetchMoviesItem('.', true)
        terminal.showFoldersMenu(terminal.showOverWriteMenu);
    })

program
    .command('index')
    .action(function(env){
        console.log('Indexing movies');
        // utils.getDirectoryNameAndFetchMoviesItem('.', true)
        terminal.showFoldersMenu(utils.indexMoviesInfo);
    })

program
    .command('list')
    .action(function(env){
        console.log('Plz wait to browse this web');
        console.log("${__dir}/..  : ", __dirname)
        shell.exec(`echo $(pwd) && cd ${__dirname}/.. && npm run web`)
        // utils.getDirectoryNameAndFetchMoviesItem('.', true)
        // terminal.showFoldersMenu();
    });

program
    .command('reset')
    .action(function(env){
        console.log('Now Movies cache reset');
        utils.deleteMoviesData();
        // utils.getDirectoryNameAndFetchMoviesItem('.', true)
        // terminal.showFoldersMenu();
    });


program.parse(process.argv);
