const assert = require('assert');
const dataService = require("../services/dataService");
const describe = require("mocha").describe;
const fs = require("fs");

describe("getMovieInfo test",function(){
    const expected = {
        "Title": "Inception",
        "Year": "2010",
        "Rated": "PG-13",
        "Released": "16 Jul 2010",
        "Runtime": "148 min",
        "Genre": "Action, Adventure, Sci-Fi",
        "Director": "Christopher Nolan",
        "Writer": "Christopher Nolan",
        "Actors": "Leonardo DiCaprio, Joseph Gordon-Levitt, Ellen Page, Tom Hardy",
        "Plot": "A thief, who steals corporate secrets through the use of dream-sharing technology, is given the inverse task of planting an idea into the mind of a CEO.",
        "Language": "English, Japanese, French",
        "Country": "USA, UK",
        "Awards": "Won 4 Oscars. Another 152 wins & 203 nominations.",
        "Poster": "https://images-na.ssl-images-amazon.com/images/M/MV5BMjAxMzY3NjcxNF5BMl5BanBnXkFtZTcwNTI5OTM0Mw@@._V1_SX300.jpg",
        "Ratings": [
            {
                "Source": "Internet Movie Database",
                "Value": "8.8/10"
            },
            {
                "Source": "Rotten Tomatoes",
                "Value": "86%"
            },
            {
                "Source": "Metacritic",
                "Value": "74/100"
            }
        ],
        "Metascore": "74",
        "imdbRating": "8.8",
        "imdbVotes": "1,683,454",
        "imdbID": "tt1375666",
        "Type": "movie",
        "DVD": "07 Dec 2010",
        "BoxOffice": "$292,568,851",
        "Production": "Warner Bros. Pictures",
        "Website": "http://inceptionmovie.warnerbros.com/",
        "Response": "True"
    };
    dataService.getMovieInfo("inception").then(
        (movieInfo) =>{
            assert.equal(movieInfo.imdbID, expected.imdbID,"getMovieInfo")
        }
    )

});

describe("downloadImageByPhotoLink test",function(){
   const dest =  "../testData/inception.jpg";
    dataService.downloadImageByPhotoLink("https://images-na.ssl-images-amazon.com/images/M/MV5BMjAxMzY3NjcxNF5BMl5BanBnXkFtZTcwNTI5OTM0Mw@@._V1_SX300.jpg",
    dest).then(
        () =>{
            assert.ok(fs.existsSync(dest))
        }
    )

});
